#include "match.h"

#include <string.h>	/* strcmp, strncpy, strtok */

#define ADDR_LEN	64



static void
drop_port(char *addr)
{
	strtok(addr, ":/");
}


int
match_addr(const char *a_raw, const char *b_raw)
{
	char a[ADDR_LEN + 1];
	char b[ADDR_LEN + 1];

	a[ADDR_LEN] = b[ADDR_LEN] = '\0';
	strncpy(a, a_raw, ADDR_LEN);
	strncpy(b, b_raw, ADDR_LEN);
	drop_port(a);
	drop_port(b);

	return strcmp(a, b) == 0;
}



int
match_node(const char *a, const char *b)
{
	return strcmp(a, b) == 0;
}



int
match_service(const char *a, const char *b)
{
	return strcmp(a, b) == 0;
}
